<?php
/**
 * Created by FFB.
 * Company: Shenzhen Zhixun Information Tec. Nanchang Com.
 * Copyright: ShenzhenZhixun
 * Email: eastbus@126.com
 * User: FFB
 * Date: 2025-03-17 10:00:36
 * 文件不允许修改，自动生成
 */

namespace common\table\new_energy;

use common\table\TableModelBase;
class JdzCityExchangeTagDeviceAsso extends TableModelBase{
    public static function tableName()
    {
        return '{{jdz_city_exchange_tag_device_asso}}';
    }
                
    /**
     * ------------ 字段 relation_id 
     * ------------ 表字段注释: 主键ID
     */
    public function filterByRelationId($val): self
    {
        $this->filterByColumn("relation_id", $val);
        return $this;
    }

    public function setRelationId($val): self
    {
        $this->setAttr("relation_id", $val);
        return $this;
    }

    public function getRelationId()
    {
        return $this->relation_id ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 code 
     * ------------ 表字段注释: 关联编号
     */
    public function filterByCode($val): self
    {
        $this->filterByColumn("code", $val);
        return $this;
    }

    public function setCode($val): self
    {
        $this->setAttr("code", $val);
        return $this;
    }

    public function getCode()
    {
        return $this->code ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 dev_id 
     * ------------ 表字段注释: 设备编号
     */
    public function filterByDevId($val): self
    {
        $this->filterByColumn("dev_id", $val);
        return $this;
    }

    public function setDevId($val): self
    {
        $this->setAttr("dev_id", $val);
        return $this;
    }

    public function getDevId()
    {
        return $this->dev_id ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 bind_type 
     * ------------ 表字段注释: 1电池  2车型
     */
    public function filterByBindType($val): self
    {
        $this->filterByColumn("bind_type", $val);
        return $this;
    }

    public function setBindType($val): self
    {
        $this->setAttr("bind_type", $val);
        return $this;
    }

    public function getBindType()
    {
        return $this->bind_type ?? null;
    }
    // ---------------------------------------------
    
}
